Package org.apache.cayenne.dba.h2

## Class H2CharType

- java.lang.Object
- - org.apache.cayenne.access.types.CharType
  - - org.apache.cayenne.dba.h2.H2CharType

- All Implemented Interfaces:
    `ExtendedType<String>`

      public class H2CharType
      extends CharType

  H2 specific char type handling - used to handle the correct setting of clobs
  Since:
    4.1.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.types.CharType

      `trimmingChars, usingClobs`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `H2CharType()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setJdbcObject​(PreparedStatement st, String val, int pos, int type, int precision)` | Initializes a single parameter of a PreparedStatement with object value.

    - ### Methods inherited from class org.apache.cayenne.access.types.CharType

      `getClassName, isTrimmingChars, isUsingClobs, materializeObject, materializeObject, readCharStream, readClob, readValueStream, rtrim, setTrimmingChars, setUsingClobs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### H2CharType

          public H2CharType()

  - ### Method Detail

    - #### setJdbcObject

          public void setJdbcObject​(PreparedStatement st,
                                    String val,
                                    int pos,
                                    int type,
                                    int precision)
                             throws Exception

      Description copied from interface: `ExtendedType`
      Initializes a single parameter of a PreparedStatement with object value.
      Specified by:
        `setJdbcObject` in interface `ExtendedType<String>`
      Overrides:
        `setJdbcObject` in class `CharType`
      Throws:
        `Exception`